MSWStruct::Section Struct Reference

the section structure of a Microsoft Word file More...

`#include <MSWStruct.hxx>`

## Public Member Functions

| Section ()
| constructor More...
MWAWSection | getSection (double pageWidth) const
| returns a section More...
void | insert (Section const &sec)
| insert the new values More...
bool | read (MWAWInputStreamPtr &input, long endPos)
| try to read a data More...
bool | readV3 (MWAWInputStreamPtr &input, long endPos)
| try to read a data ( v3 code ) More...

## Public Attributes

Variable< int > | m_id
| the identificator More...
Variable< int > | m_type
| the type More...
Variable< int > | m_paragraphId
| the paragraph id More...
Variable< int > | m_col
| the num of columns More...
Variable< float > | m_colSep
| the spacing between column More...
Variable< bool > | m_colBreak
| only a column break More...
Variable< int > | m_flag
| some flag ( in the main position) More...
std::string | m_extra
| the errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Section const &section)
| operator<< More...

## Detailed Description

the section structure of a Microsoft Word file

## Constructor & Destructor Documentation

MSWStruct::Section::Section | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWSection MSWStruct::Section::getSection | ( | double | pageWidth | ) | const

returns a section

Referenced by MSWTextStyles::setProperty().

void MSWStruct::Section::insert | ( | Section const & | sec | ) |

inline

insert the new values

Referenced by MSWTextStyles::sendSection().

bool MSWStruct::Section::read | ( | MWAWInputStreamPtr & | input,
|  | long | endPos
| ) |  |

try to read a data

Referenced by MSWTextStyles::readSection().

bool MSWStruct::Section::readV3 | ( | MWAWInputStreamPtr & | input,
|  | long | endPos
| ) |  |

try to read a data ( v3 code )

Referenced by MSWTextStyles::readSection().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | section
| ) |  |

friend

operator<<

## Member Data Documentation

Variable<int> MSWStruct::Section::m_col

the num of columns

Referenced by getSection(), insert(), MSWStruct::operator<<(), read(), readV3(), and MSWTextStyles::setProperty().

Variable<bool> MSWStruct::Section::m_colBreak

only a column break

Referenced by insert(), MSWStruct::operator<<(), read(), and MSWTextStyles::setProperty().

Variable<float> MSWStruct::Section::m_colSep

the spacing between column

Referenced by getSection(), insert(), MSWStruct::operator<<(), read(), and readV3().

std::string MSWStruct::Section::m_extra

the errors

Referenced by insert(), MSWStruct::operator<<(), read(), and readV3().

Variable<int> MSWStruct::Section::m_flag

some flag ( in the main position)

Referenced by insert(), MSWStruct::operator<<(), and MSWTextStyles::readSection().

Variable<int> MSWStruct::Section::m_id

the identificator

Referenced by insert(), and MSWTextStyles::readSection().

Variable<int> MSWStruct::Section::m_paragraphId

the paragraph id

Referenced by MSWTextStyles::getSectionFont(), MSWTextStyles::getSectionParagraph(), insert(), and MSWStruct::operator<<().

Variable<int> MSWStruct::Section::m_type

the type

Referenced by insert(), MSWStruct::operator<<(), and MSWTextStyles::readSection().

The documentation for this struct was generated from the following files:

- MSWStruct.hxx
- MSWStruct.cxx